'****************************************************************
'* Titulo  : Ficheros de inicializacion 24FJ256GA705            *
'* Nombre  :                                                    *
'* Autor   : Ricardo Gamboa                                     *
'* Notice  : Copyright (c) 2002 GAMBOA FIRMWARE                 *
'*         : All Rights Reserved                                *
'* Fecha   : 14/01/2018                                         *
'* Version : 1.00                                               *
'* MCU     : 24FJ256GA705                                       *
'* COMPILER: PROTON 24 Compiler 1.0.4.1                         *
'*         :                                                    *
'* REVISIN:                                                    *
'* REVISIN:                                                    *
'* REVISIN:                                                    *
'* REVISIN:                                                    *
'****************************************************************


'*************************************************************************
'** DEFINICION DE LOS PINES DE ENTRADA/SALIDA
'*************************************************************************
 'Setting the Output Latch SFR(s)
 LATA = %0000000000000000 '0x0000
 LATB = %0000000000000001 '0x0001;
 LATC = %0000000000000000 '0x0000;

 'Setting the Analog/Digital Configuration SFR(s)
 ANSA = %0000000000000000 '0x0007;
 ANSB = %0001000000000000   'RB12 pote  0xF20C
 ANSC = %0000000000000000 '0x000F;

 'Setting the GPIO Direction SFR(s)
 TRISA = %0001100000000000  ' RA11_S1, RA12_S2  ,0x7C97;
 TRISB = %0001000110100000  '                   ,0xFF7E;
 TRISC = %0000000000000000  '                   ,0x03FF;

 'Setting the Weak Pull Up and Weak Pull Down SFR(s)
  IOCPDA = %0000000000000000 '0x0000;
  IOCPDB = %0000000000000000 '0x0000;
  IOCPDC = %0000000000000000 '0x0000;
  IOCPUA = %0000000000000000 '0x0000;
  IOCPUB = %0000000000000000 '0x0000;
  IOCPUC = %0000000000000000 '0x0000;

  'Setting the Open Drain SFR(s)
  ODCA = %0000000000000000 '0x0000;
  ODCB = %0000000000000000 '0x0000;
  ODCC = %0000000000000000 '0x0000;

'*************************************************************************
'** ASIGNAR PERIFERICOS A PINES
'*************************************************************************
  Proc InitPPS()
    PPS_UnLock()
    RPINR18.Byte0 = 5  'U1RX(RB5) Input to UART1
    RPOR3.Byte0 = 3    'U1TX(RB6) Output from UART1
    RPINR19.Byte0 = 7  'U2RX(RB7) Input to UART2
    RPOR4.Byte0 = 5    'U2TX(RB8) Output from UART2
    RPOR1.Byte0 = 13  ''OC1(RB2) Output from OC1
    'RPOR0.Byte1 = 14  'OC2(RB1) Output from OC2
    PPS_Lock()
  EndProc

